Skip to main content
GET
/
operators
/
{address}
/
events
/
delegation
Retrieve all delegation events for a given operator address
curl --request GET \
  --url https://api.eigenexplorer.com/operators/{address}/events/delegation \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/operators/{address}/events/delegation"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/operators/{address}/events/delegation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tx": "0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0",
  "blockNumber": 21045085,
  "blockTime": "2024-10-25T20:41:11.000Z",
  "type": "DELEGATION",
  "args": {
    "staker": "0x42318adf0773b8af4aa8ed1670ea0af7761d07c7",
    "strategy": "0x93c4b944d05dfe6df7645a86cd2206016c51564d",
    "shares": 62816824424188010
  },
  "underlyingToken": "0xae7ab96520DE3A18E5e111B5EaAb095312D7fE84",
  "underlyingValue": 5,
  "ethValue": 1
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}
The default date range between startAt and endAt is 7 days, with startAt set 7 days before endAt.By default, endAt is set to the current timestamp (now).
The maximum allowed date range is 30 days.

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

The address of the operator

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xDbEd88D83176316fc46797B43aDeE927Dc2ff2F5"

Query Parameters

txHash
string

The transaction hash associated with the event

Pattern: ^0x([A-Fa-f0-9]{64})$
startAt
string

Start date in ISO string format

Example:

"2024-11-15T00:00:00.000Z"

endAt
string

End date in ISO string format

Example:

"2024-12-15T00:00:00.000Z"

type
enum<string>

The type of the delegation event

Available options:
DELEGATION,
UNDELEGATION,
SHARES_INCREASED,
SHARES_DECREASED
strategyAddress
string

The contract address of the restaking strategy

Pattern: ^0x[a-fA-F0-9]{40}$
stakerAddress
string

The address of the staker

Pattern: ^0x[a-fA-F0-9]{40}$
withTokenData
enum<string>
default:false

Toggle whether the route should return underlying token address and underlying value

Available options:
true,
false
Example:

"false"

withEthValue
enum<string>
default:false

Toggle whether the route should return value denominated in ETH

Available options:
true,
false
Example:

"false"

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The delegation events found for the operator.

tx
string
required

The transaction hash

Example:

"0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0"

blockNumber
number
required

The block number of the transaction

Example:

21045085

blockTime
string
required

The block time of the transaction as an ISO 8601 string

Example:

"2024-10-25T20:41:11.000Z"

type
enum<string>
required

The type of the event

Available options:
DELEGATION,
UNDELEGATION,
SHARES_INCREASED,
SHARES_DECREASED
Example:

"DELEGATION"

args
object
required
underlyingToken
string

The contract address of the token associated with this strategy

Example:

"0xae7ab96520DE3A18E5e111B5EaAb095312D7fE84"

underlyingValue
number

The value of the shares in terms of the underlying token

Example:

5

ethValue
number

The value of the shares in ETH

Example:

1